Page MenuHomePhabricator

Allow filtering by no citations in page curation
Closed, ResolvedPublic2 Story Points

Description

Feature requested:

As a reviewer, I would like to be able to filter articles that do not have a citation.

Software changes:

  • UI: Add an option for Have no citations
    • ...under the Have no categories option...
    • ...under the That: header in the filter toolbar. See reference screenshot below.
  • Functionality: When selected, the list is filtered to show articles that do not have any citations in combination with the other options chosen by the reviewer.

Reference screenshot:

Notes:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 28 2017, 5:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 30 2018, 12:55 PM

@TonyBallioni When you say "the page curation toolbar currently...", you mean the New Pages Feed toolbar, right?

Niharika updated the task description. (Show Details)Mar 12 2019, 6:41 PM

@TonyBallioni I cleaned up the ticket description for the engineers. Can you confirm if it's accurate? Thank you!

Niharika triaged this task as Normal priority.Mar 12 2019, 6:42 PM
JTannerWMF moved this task from Inbox to External on the Growth-Team board.Mar 19 2019, 6:10 PM
JTannerWMF added a subscriber: JTannerWMF.

It appears the CommTech team is working on this.

Niharika set the point value for this task to 2.Apr 25 2019, 5:35 PM
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 507068 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@master] Add 'Unrefereced' filter to show only pages without citations

https://gerrit.wikimedia.org/r/507068

Change 507068 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add 'Unrefereced' filter to show only pages without citations

https://gerrit.wikimedia.org/r/507068

Should be on the beta cluster soon if it's not already

dom_walden added a subscriber: dom_walden.

Change appears very basic, relying on an existing SQL query.

I checked new pages feed on beta and could filter on "Have no citation". All of the pages I saw in the list have "No citations". After adding a citation to one article in the list, it no longer appeared in the list.

Niharika closed this task as Resolved.May 1 2019, 8:50 PM
Niharika moved this task from Product sign-off to Done on the Community-Tech-Sprint board.

Looks good to me! This change will rollout to enwiki on May 9.

ifried added a subscriber: ifried.Jul 17 2019, 6:13 PM